ControlFrequencyValue (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.control.shared.ControlFrequencyValue class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.control.shared
Class ControlFrequencyValue

    java.lang.Object
      org.hyperic.hq.control.shared.ControlFrequencyValue

All Implemented Interfaces:
  java.io.Serializable

    public class ControlFrequencyValue

extends java.lang.Object
implements java.io.Serializable

Simple data object for returning data for the Dashboard

See Also:
  Serialized Form

Constructor Summary
`ControlFrequencyValue(java.lang.String name, int type, int id, java.lang.String action, int num)`

Method Summary
`java.lang.String` | `getAction()`
`int` | `getId()`
`java.lang.String` | `getName()`
`int` | `getNum()`
`int` | `getType()`
`void` | `setAction(java.lang.String action)`
`void` | `setId(int id)`
`void` | `setName(java.lang.String name)`
`void` | `setNum(int num)`
`void` | `setType(int type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ControlFrequencyValue

    public ControlFrequencyValue(java.lang.String name,
                                 int type,
                                 int id,
                                 java.lang.String action,
                                 int num)

Method Detail

### getName

    public java.lang.String getName()

### getAction

    public java.lang.String getAction()

### getNum

    public int getNum()

### getId

    public int getId()

### getType

    public int getType()

### setName

    public void setName(java.lang.String name)

### setAction

    public void setAction(java.lang.String action)

### setId

    public void setId(int id)

### setType

    public void setType(int type)

### setNum

    public void setNum(int num)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.